Bug 543289 - [abrt] crash detected in libtiff-3.8.2-15.fc12
Summary: [abrt] crash detected in libtiff-3.8.2-15.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libtiff
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tom Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5c2d38d6052aaae9dbb9029c088...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-02 04:22 UTC by cnsturgeon2000
Modified: 2013-07-03 03:25 UTC (History)
3 users (show)

Fixed In Version: 3.9.2-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-03 21:00:14 UTC


Attachments (Terms of Use)
File: backtrace (1.55 KB, text/plain)
2009-12-02 04:22 UTC, cnsturgeon2000
no flags Details
The tiff file I used for converting to pdf (177.28 KB, image/tiff)
2009-12-14 01:14 UTC, cnsturgeon2000
no flags Details

Description cnsturgeon2000 2009-12-02 04:22:27 UTC
abrt detected a crash.

Attached file: backtrace
cmdline: tiff2pdf -j -p A1 -o NGMI-poster-v2-a1.pdf NGMI-poster-v2-a1.tif
component: libtiff
executable: /usr/bin/tiff2pdf
kernel: 2.6.31.5-127.fc12.x86_64
package: libtiff-3.8.2-15.fc12
rating: 1
reason: Process was terminated by signal 11

Comment 1 cnsturgeon2000 2009-12-02 04:22:30 UTC
Created attachment 375316 [details]
File: backtrace

Comment 2 Tom Lane 2009-12-02 05:39:59 UTC
Can't do much with this, unless you want to provide a copy of the input tiff file ...

Comment 3 cnsturgeon2000 2009-12-14 01:14:07 UTC
Created attachment 378126 [details]
The tiff file I used for converting to pdf

The tiff file I used for converting to pdf

tiff2pdf -o a_day_without_rain.pdf a_day_without_rain.tif
Segmentation fault (core dumped)

Comment 4 Tom Lane 2009-12-14 02:29:56 UTC
Thanks.  This appears to be fixed in libtiff 3.9.2, which I plan to push into F-12 in a bit.

Comment 5 Tom Lane 2009-12-14 02:34:53 UTC
BTW, I think whatever tool you produced this TIFF with is buggy: it's labeling the file as having Photometric Interpretation RGB, but the data seems to actually be YCbCr.  Please do not file a bug complaining that tiff2pdf is producing screwy colors after 3.9.2 comes out --- it's not that program's fault.

Comment 6 cnsturgeon2000 2009-12-14 03:34:37 UTC
Thanks for the explanation. This TIFF file was created using latest version of GIMP in F12.

Comment 7 Fedora Update System 2009-12-17 01:37:54 UTC
libtiff-3.9.2-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libtiff-3.9.2-2.fc12

Comment 8 Fedora Update System 2009-12-18 04:26:17 UTC
libtiff-3.9.2-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libtiff'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13305

Comment 9 John 2009-12-18 07:17:56 UTC
su -c "cat /etc/yum.repos.d/fedora-updates-testing.repo | grep enabled"
Password:
enabled=1
enabled=1
enabled=1

###################################


su -c 'yum --enablerepo=updates-testing update libtiff'

No Packages marked for Update

###################################

su -c "rpm -UHv http://kojipkgs.fedoraproject.org/packages/libtiff/3.9.2/2.fc12/x86_64/libtiff-3.9.2-2.fc12.x86_64.rpm http://kojipkgs.fedoraproject.org/packages/libtiff/3.9.2/2.fc12/i686/libtiff-3.9.2-2.fc12.i686.rpm http://kojipkgs.fedoraproject.org/packages/libtiff/3.9.2/2.fc12/x86_64/libtiff-devel-3.9.2-2.fc12.x86_64.rpm"
Password:
Retrieving http://kojipkgs.fedoraproject.org/packages/libtiff/3.9.2/2.fc12/x86_64/libtiff-3.9.2-2.fc12.x86_64.rpm
Retrieving http://kojipkgs.fedoraproject.org/packages/libtiff/3.9.2/2.fc12/i686/libtiff-3.9.2-2.fc12.i686.rpm
Retrieving http://kojipkgs.fedoraproject.org/packages/libtiff/3.9.2/2.fc12/x86_64/libtiff-devel-3.9.2-2.fc12.x86_64.rpm
Retrieving http://kojipkgs.fedoraproject.org/packages/libtiff/3.9.2/2.fc12/x86_64/libtiff-debuginfo-3.9.2-2.fc12.x86_64.rpm
Preparing packages for installation...
libtiff-3.9.2-2.fc12
libtiff-3.9.2-2.fc12
libtiff-devel-3.9.2-2.fc12

###################################

tiff2pdf -p letter -j -q 75 -o PACKET.pdf PACKET.tif
Segmentation fault (core dumped)

###################################

Resume: the new crash has been reported by abrt:
https://bugzilla.redhat.com/show_bug.cgi?id=548679

Comment 10 Fedora Update System 2010-01-03 21:00:10 UTC
libtiff-3.9.2-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 cnsturgeon2000 2010-01-20 01:39:24 UTC
Thanks. It works fine now. Just as Tom said, the color of my file is changed after conversion. "it's labeling the file as having Photometric Interpretation RGB, but the data seems to actually be YCbCr". Was that a bug in GIMP?


Note You need to log in before you can comment on or make changes to this bug.